#include "mixer2.h"

#include "sigmoid.h"

#include <numeric>
#include <math.h>

Mixer2::Mixer2(const std::valarray<float>& inputs,
    unsigned long long input_size) : inputs_(inputs), p_(0.5),
    lstm_(0, input_size, 20, 2, 50, 0.00005, 10) {}

float Mixer2::Mix() {
  return p_;
}

void Mixer2::Perceive(int bit) {
  p_ = lstm_.Perceive(bit, inputs_);
}

